clear
cd "M:\tr\Caroline\Manufacturing\"
insheet using "Imports.csv"
drop tradeflow netweightkg tradequantity unit
rename period year
rename reporter importer
rename partner exporter
rename commoditydescription des
rename commoditycode code
replace code=substr(code,4,5)
rename tradevalue value
drop if exporter=="Areas, nes"
drop if exporter=="CACM, nes"
drop if exporter=="Caribbean, nes"
drop if exporter=="Free Zones"
drop if exporter=="N. Mariana Isds"
drop if exporter=="Heard Island and McDonald Islands"
drop if exporter=="Fr. South Antarctic Terr."
drop if exporter=="Br. Antarctic Terr."
drop if exporter=="Br. Indian Ocean Terr."
drop if exporter=="LAIA, nes"
drop if exporter=="North America and Central America, nes"
drop if exporter=="Northern Africa, nes"
drop if exporter=="Oceania, nes"
drop if exporter=="Other Africa, nes"
drop if exporter=="Other Asia, nes"
drop if exporter=="Other Eurpe, nes"
drop if exporter=="US Misc. Pacific Isds"
drop if exporter=="Western Asia, nes"
drop if exporter=="World"
drop if exporter=="Turks and Caicos Isds"
drop if exporter=="Niue"
drop if exporter=="Eastern Europe, nes"
drop if exporter=="Europe EFTA, nes"
drop if exporter=="Europe EU, nes"
drop if exporter=="Faeroe Isds"
drop if exporter=="Falkland Isds (Malvinas)"
drop if exporter=="Neutral Zone"
drop if exporter=="Rest of America, nes"
drop if exporter=="South Georgia and the South Sandwich Is"
drop if exporter=="United States Minor Outlying Islands"
drop if exporter=="Special Categories"

drop if importer=="Areas, nes"
drop if importer=="CACM, nes"
drop if importer=="Caribbean, nes"
drop if importer=="Free Zones"
drop if importer=="N. Mariana Isds"
drop if importer=="Heard Island and McDonald Islands"
drop if importer=="Fr. South Antarctic Terr."
drop if importer=="Br. Antarctic Terr."
drop if importer=="Br. Indian Ocean Terr."
drop if importer=="LAIA, nes"
drop if importer=="North America and Central America, nes"
drop if importer=="Northern Africa, nes"
drop if importer=="Oceania, nes"
drop if importer=="Other Africa, nes"
drop if importer=="Other Asia, nes"
drop if importer=="Other Eurpe, nes"
drop if importer=="US Misc. Pacific Isds"
drop if importer=="Western Asia, nes"
drop if importer=="World"
drop if importer=="Turks and Caicos Isds"
drop if importer=="Niue"
drop if importer=="Eastern Europe, nes"
drop if importer=="Europe EFTA, nes"
drop if importer=="Europe EU, nes"
drop if importer=="Faeroe Isds"
drop if importer=="Falkland Isds (Malvinas)"
drop if importer=="Neutral Zone"
drop if importer=="Rest of America, nes"
drop if importer=="South Georgia and the South Sandwich Is"
drop if importer=="United States Minor Outlying Islands"
drop if importer=="Special Categories"

*Get 2000-based constant values of exports - http://www.minneapolisfed.org/research/data/us/calc/hist1913.cfm*
replace value=value*172.2/177.0 if year==2001
replace value=value*172.2/179.9 if year==2002
replace value=value*172.2/184.0 if year==2003
replace value=value*172.2/188.9 if year==2004
replace value=value*172.2/195.3 if year==2005


sort exporter importer code
egen value_m=mean(value), by(exporter importer code)
drop value
rename value_m value
sort exporter importer code
duplicates drop exporter importer code, force
drop year
save "Imports_1.dta", replace
sort exporter code
egen value_s=sum(value), by(exporter code)
duplicates drop exporter code, force
drop importer
drop value
rename value_s value
replace exporter="Bosnia and Herzegovina" if exporter=="Bosnia Herzegovina"
replace exporter="Micronesia" if exporter=="FS Micronesia"
sort exporter
merge exporter using "UN_expCode.dta"
drop _merge
drop if value==.
sort id_e
merge id_e using "Time.dta"
drop _merge
drop if ln_time==.
gen dum=0
replace dum=1 if code==751|code==752|code==759|code==771|code==772|code==773|code==774|code==775|code==776|code==778|code==881|code==882|code==883|code==884|code==885

save "Exports_final.dta", replace










